#### D.15.4.28 difformUnivDer

Procedure from library `difform.lib` (see difform_lib).

Usage:
  difformUnivDer(f); f poly

Return:
  a differential form: the image of the universal derivation applied to f

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),lp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    /////////////////////////////////////////////////
    // Universal derivation applied to polynomials //
    /////////////////////////////////////////////////
    difformUnivDer(3x);
    ==> 3*dx
    ==>
    difformUnivDer(xyz+x2y2z2);
    ==> (2xy2z2+yz)*dx+(2x2yz2+xz)*dy+(2x2y2z+xy)*dz
    ==>
    difformUnivDer(x+y+z);
    ==> dx+dy+dz
    ==>
    kill Omega_R,dx,dy,dz;

See also: difformDiff.

User manual for Singular version 4.4.1, 2025, generated by texi2html.